Saltar al contenido principal
GET
Python (SDK)

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de ruta

conversation_id
string
requerido

La ID de la conversación

item_id
string
requerido

El ID del artículo

Respuesta

200 - application/json

Está bien

Elemento del mensaje de entrada: Un mensaje con rol y contenido. Utiliza esto para turnos de usuario, asistente, sistema o desarrollador en entradas estructuradas.

role
enum<string>
requerido

El papel del remitente del mensaje (usuario, asistente, sistema o desarrollador).

Opciones disponibles:
user,
assistant,
system,
developer
content
requerido

El contenido del mensaje. Puede ser una cadena de texto simple o un array de elementos de contenido multimodal (texto, imágenes, archivos, audio).

id
string
predeterminado:msg_aa87e2b1112a455b8deabed784372198
requerido

The unique ID of the message.

type
any

El identificador del tipo de artículo. Siempre 'mensaje' para los artículos de mensaje.

status
enum<string>

El estado de procesamiento de este mensaje. Opcional - indica si el mensaje está en progreso, completado o incompleto.

Opciones disponibles:
in_progress,
completed,
incomplete
response_id
string | null

The ID of the response that created this item, if any.

metadata
object | null

Metadata from the response that created this item, if any.